ExchainDocs
DocsAPI

APIPublicCheck readiness

Check readiness

Answers 503 when too few enclaves are reachable to co-sign.

  • Auth None
  • Guide API
GET
/readyz

Answers 200 ok when enough enclaves are reachable to co-sign, and 503 when the quorum is below threshold.

Response Body

Ready.

response?"ok"text/plain
Value in"ok"
Example Request
curl -X GET 'https://cosign.exchain.network/readyz'
Example Response
"ok"

Errors

StatusCodeMeaning
503Not ready: the quorum is below threshold.

Every code and what to do about it: Errors and codes.